
insheet using macro.csv
tsset year

*Note that the exchange rate used to convert the Bilanbanques balance sheet items 
*	is given by bb_erate

*Note that we already have Lebanese inflation from Bilanbanques (bb_inf)
*	and from the IMF (imf_inf) ; also have Lebanese real GDP growth (imf_growth)

*For other variables like US CPI and the Coincident indicator of activity collected
*	by the BDL, will create the growth rate using log differences
*Will also create variables of year-on-year differences in the various interest rates

gen imf_cpi = 100 if year == 1996
replace imf_cpi = L.imf_cpi*(1+imf_inf) if year > 1996


*To deal with long variable lengths (because of interactions of shocks and bank chars 
*	in the main code), will shorten some:
rename bdl_coincident coindex
rename fred_usfedfunds usffunds
rename bdl_interbank interbank
rename bdl_medinterbank medinterbank
rename bdl_maxinterbank maxinterbank
rename jpm_ssprd ssprd
rename imf_growth growth
rename abdl_fa bdl_fa
rename abdl_total bdl_a
rename bdl_tbill3m tb3m


foreach x in coindex fred_uscpi bdl_m1 bdl_m2 bdl_m3 bdl_fa {
	gen ln`x' = log(`x')
}

foreach x in lncoindex lnfred_uscpi lnbdl_m1 lnbdl_m2 lnbdl_m3 lnbdl_fa /*
	*/ imf_tbill24m bdl_idep_ll bdl_ilend_ll  /*
	*/ interbank medinterbank maxinterbank bdl_idep_fc bdl_ilend_fc /*
	*/ tb3m fred_ustbill3m usffunds ssprd {
	gen D`x' = D.`x'
}

*And finally generating lags:
foreach x in  imf_tbill24m bdl_idep_ll bdl_ilend_ll  			    /*
	*/ interbank medinterbank maxinterbank bdl_idep_fc bdl_ilend_fc /*
	*/ tb3m fred_ustbill3m usffunds ssprd  {
	gen L`x' = L.`x'
	gen LD`x' = L.D`x'
}
foreach x in Dlncoindex Dlnfred_uscpi Dlnbdl_m1 Dlnbdl_m2 Dlnbdl_m3 Dlnbdl_fa bb_inf imf_inf growth {
	gen L`x' = L.`x'	
}

sort year
save macrotemp, replace
clear
