
gen merger = 0

*ABN Amro -> Byblos in 2002
replace merger = 1 if id == 40 & year == 2002
*Credit Lynnoais -> Credit Bancaire in 2002
replace merger = 1 if id == 44 & year == 2002
*Societe Bancaire du Liban -> First National Bank in 2002
replace merger = 1 if id == 50 & year == 2002
*United Bank of Lebanon -> Banque Libanaise pour le commerce in 2001 (renamed BLC)
replace merger = 1 if id == 14 & year == 2001
*Wedge Bank -> Byblos in 2001
replace merger = 1 if id == 40 & year == 2001
*Inaach Bank -> SGBL in 2000
replace merger = 1 if id == 72 & year == 2000
*United Bank of Saudia and Leb -> Fransabank in 2000
replace merger = 1 if id == 51 & year == 2000
*BPC Oriel -> Intercontinental Bank in 1999
replace merger = 1 if id == 57 & year == 1999
*Transorient Bank -> Bank of Beirut in 1998
*Orient Credit Bank -> Bank of Beirut in 1998
replace merger = 1 if id == 23 & year == 1998
*Banque Beyrouth pour le commerce  -> Byblos in 1997
replace merger = 1 if id == 40 & year == 1997
*Credit Commercial du Moyen Orient -> Banque Audi in 1997
replace merger = 1 if id == 13 & year == 1997

*Option 1: 
*Creating dummies to exclude merger sample for surviving bank
*And running regressions over mergersample == 0
gen mergersample = 0
replace mergersample = 1 if merger == 1 | L.merger == 1

*Note: Should comment this option 2 out if want to keep the pre-merged banks separate
*Option 2:
*Creating a pre-merged unique bank

*ABN Amro -> Byblos in 2002
gen flag = 1 if id == 2 | id == 40
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 40
	drop `x'm temp`x'
}
drop if id == 2
drop flag

*Credit Lynnoais -> Credit Bancaire in 2002
gen flag = 1 if id == 45  | id == 44
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 44
	drop `x'm temp`x'
}
drop if id == 45
drop flag

*Societe Bancaire du Liban -> First National Bank in 2002
gen flag = 1 if id == 75  | id == 50
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 50
	drop `x'm temp`x'
}
drop if id == 75
drop flag

*United Bank of Lebanon -> Banque Libanaise pour le commerce in 2001 (renamed BLC)
*But before United Bank of Lebanon created from merger of Al-Moughtareb Bank & National Trust Bank & Unibank in 1998
gen flag = 1 if id == 5 | id == 67 | id == 80 | id == 81 | id == 14
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 14
	drop `x'm temp`x'
	*Also because BLC data missing in 2000, will create an average based on 1999 and 2001
	replace `x' = (`x'[_n-1] + `x'[_n+1])/2 if id == 14 & year == 2000
}
drop if id == 5 | id == 67 | id == 80 | id == 81
drop flag


*Wedge Bank -> Byblos in 2001
gen flag = 1 if id == 83  | id == 40
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 40
	drop `x'm temp`x'
}
drop if id == 83
drop flag

*Bank of Lebanon and Kuwait and Jordan National Bank merged into new bank Al Ahli in 2001
*Because Al Ahli data reported for year 2000, I begin by dropping the original banks' data in 2000
*	so that there is no double-counting 
drop if (year == 2000) & (id == 25 | id == 59)
gen flag = 1 if id == 25 | id == 59 | id == 3
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 3
	replace `x' = `x'm if id == 25
	drop `x'm temp`x'
}
*Because data for Al-Ahli only begins in 2000, need to rename the older bank to have
* data for 96-99
replace id = 3 if (id == 25 & year <= 1999)
drop if id == 25 | id == 59
drop flag

*Inaach Bank -> SGBL in 2000
gen flag = 1 if id == 56  | id == 72
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 72
	drop `x'm temp`x'
}
drop if id == 56
drop flag

*United Bank of Saudia and Leb -> Fransabank in 2000
gen flag = 1 if id == 82  | id == 51
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 51
	drop `x'm temp`x'
}
drop if id == 82
drop flag

*BPC Oriel -> Intercontinental Bank in 1999
gen flag = 1 if id ==  16 | id == 57
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 57
	drop `x'm temp`x'
}
drop if id == 16
drop flag

*Transorient Bank -> Bank of Beirut in 1998
*Orient Credit Bank -> Bank of Beirut in 1998
gen flag = 1 if id == 79 | id == 70 | id == 23
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 23
	drop `x'm temp`x'
}
drop if id == 79 | id == 70
drop flag

*Banque Beyrouth pour le commerce  -> Byblos in 1997
gen flag = 1 if id == 26  | id == 40
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 40
	drop `x'm temp`x'
}
drop if id == 26
drop flag

*Credit Commercial du Moyen Orient -> Banque Audi in 1997
gen flag = 1 if id == 46  | id == 13
foreach x in a_reserve a_tbill a_bondfix a_bondvar a_bank a_affiliate_deposit     	/*
	*/ a_loan a_loan_ci a_loan_customer a_loan_overdraft a_loan_sub 		    	/*
	*/ a_loan_subunrealisedr a_loan_netaccount a_loan_related a_loan_doubt      	/*
	*/ a_bankacceptance a_affiliate_investloan a_affiliate_investequity 	    	/*
	*/ a_fix_tangible a_fix_intangible a_other a_regularisation a_revaluation   	/*
	*/ a_goodwill a_provision_doubt a_contra a_total 	 		  	    	/*	
	*/ l_bdl l_bank l_affiliate_deposit l_deposit l_deposit_sight 		    	/*
	*/ l_deposit_time l_deposit_saving l_deposit_netaccount l_deposit_related   	/*
	*/ l_otherfin l_capital l_equity l_ltdebt l_subdebt l_total l_contra 	    	/*
	*/ pl_interestinc pl_interestinc_loan pl_interestexp pl_interestexp_deposit 	/*
	*/ pl_provision pl_interestnet pl_incomenet_beforetax pl_incomeextra_beforetax /*
	*/ pl_incometax pl_affiliate_investequity pl_profitnet_aftertax 		       /*
	*/ l_deposit_ll l_deposit_fc a_loan_ll a_loan_fc l_bdl_ll l_bdl_fc l_bank_ll 	 /*
	*/ l_bank_fc l_affiliate_deposit_ll l_affiliate_deposit_fc a_reserve_ll 	 /*
	*/ a_reserve_fc a_tbill_ll a_tbill_fc a_bondfix_ll a_bondfix_fc a_bondvar_ll 	 /*
	*/ a_bondvar_fc a_bank_ll a_bank_fc a_affiliate_deposit_ll 				 /*
	*/ a_affiliate_deposit_fc av_assetwithint_ll av_assetwithint_fc 			 /*
	*/ interestexp_ll interestexp_fc interestinc_ll interestinc_fc 			 /*
	*/ branches staff 										 /*
	*/ a_total_ll l_total_ll netliqasset netliqasset_ll 					 { 
	egen `x'm = sum(`x') if flag == 1, by(year)
	egen temp`x' = count(`x') if flag == 1, by(year)
	replace `x'm = . if temp`x' == 0 & flag == 1		
	replace `x' = `x'm if id == 13
	drop `x'm temp`x'
}
drop if id == 46
drop flag
